Bug 197793 - security/gnupg1: fails to build on armv6
Summary: security/gnupg1: fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Michael Moll
URL: http://chips.ysv.freebsd.org/data/11a...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-18 17:42 UTC by mikael.urankar
Modified: 2015-11-27 17:55 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
fix build on armv6 (2.38 KB, patch)
2015-02-18 17:42 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2015-02-18 17:42:49 UTC
Created attachment 153152 [details]
fix build on armv6

Hi,

The port currently fails to build:
mpih-div.c:99:3: error: invalid use of a cast in a inline asm context requiring an l-value: remove the cast or build with -fheinous-gnu-extensions
                UDIV_QRNND_PREINV(dummy, r, r,

The patch in this PR fixes the build:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=190848

build log with my patch applied:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/gnupg1-1.4.18_2.log
Comment 1 Bugzilla Automation freebsd_committer 2015-02-18 17:42:49 UTC
Auto-assigned to maintainer kuriyama@FreeBSD.org
Comment 2 Sean Bruno freebsd_committer 2015-05-06 17:27:29 UTC
Does this build normally for amd64/i386?
Comment 3 Sean Bruno freebsd_committer 2015-05-06 17:36:57 UTC
I'd like an eyeball on these ASM changes please.
Comment 5 Glen Barber freebsd_committer 2015-07-07 13:50:31 UTC
This is still an issue.
Comment 6 mike 2015-11-12 13:32:09 UTC
It looks like the mpi code in the security/libgcrypt port used to have the same problems, but now it builds on armv6 with just a few warnings, nothing major. Perhaps whatever was done to make mpi build on armv6 in the libgcrypt port should be mirrored in the gnupg1 port?
Comment 7 mike 2015-11-12 13:38:53 UTC
(In reply to mike from comment #6)
Apologies; my suggestion was redundant. I commented before noticing that the libgcrypt patch was referenced by the OP. I think it should be OK to commit this. We need to get this port working for mail/spamassassin.
Comment 8 Michael Moll freebsd_committer 2015-11-27 17:27:18 UTC
take
Comment 9 commit-hook freebsd_committer 2015-11-27 17:53:08 UTC
A commit references this bug:

Author: mmoll
Date: Fri Nov 27 17:52:56 UTC 2015
New revision: 402488
URL: https://svnweb.freebsd.org/changeset/ports/402488

Log:
  security/gnupg1: fix build on arm

  PR:		197793
  Submitted by:	Mikael Urankar <mikael.urankar@gmail.com>
  Approved by:	kuriyama (maintainer, timeout)

Changes:
  head/security/gnupg1/files/patch-mpi_longlong.h
Comment 10 Michael Moll freebsd_committer 2015-11-27 17:55:18 UTC
commited, thanks!